Subject: Re: 2.6.7 tulip performance (with NAPI)

From: [email-masked]
Date: Fri, 08 Oct 2004 10:25:13 +0100

Lennert Buytenhek wrote:
> On Thu, Oct 07, 2004 at 11:11:47PM +0200, Robert Olsson wrote:
> 
> 
>> I'm interested if anyone has done any pktgen performance tests with
>> w. S2IO or other 10G card we need to upgrade the lab equipment. 
>> Both 64 byte pkts and MTU sized pkts is interesting.  Anyone?
> 
> 
> If you're interested in raw pps numbers and willing to use something
> other than pktgen to attain them, you might want to look into the intel
> IXP-based boards.  You actually have to write some microcode and upload
> it to an on-chip processor array, but you can easily sustain wirespeed
> at 4Gbps (IXP2400-based) or 10Gbps (IXP2800-based.)

Good suggestion. This is exactly what I'm doing on a (2400 based)
radisys enp-2611 board. Faced with the cost of a smartbits it's
a no brainer for me. I haven't written the µ code yet btw.

Pádraig.